KRB5-CONFIG(1)

NAME
krb5-config - give information on how to link code against Heimdal libraries

SYNOPSIS
krb5-config [- -prefix[=dir]] [- -exec-prefix[=dir]] [- -libs] [- -cflags] [libraries]

DESCRIPTION
krb5-config tells the application programmer what special flags to use to compile and link programs against the libraries installed by Heimdal.

Options supported:

- -prefix[=dir]
    Print the prefix if no dir is specified, otherwise set prefix to dir.

- -exec-prefix[=dir]
    Print the exec-prefix if no dir is specified, otherwise set exec-prefix to dir.

- -libs
    Output the set of libraries that should be linked against. This also includes rpath flags with the expectation that the C compiler is used for final link-edits.

- -cflags
    Output the set of flags to give to the C compiler when using the Heimdal libraries.

By default krb5-config will output the set of flags and libraries to be used by a normal program using the krb5 API. The user can also supply a library to be used, the supported ones are:

krb5
    (the default)

gssapi
    use the krb5 gssapi mechanism

kadm-client
    use the client-side kadmin libraries

kadm-server
    use the server-side kadmin libraries

SEE ALSO
cc(1)

HISTORY
krb5-config appeared in Heimdal 0.3d.